Skip to content

TROUBLESHOOTING Unsupported locale setting

Why do that

During ansible installation or during the punchplatform deployment, an error can occurs with your locale settings :

1
2
3
4
5
6
locale.setlocale(locale.LC_ALL, 'unset')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/locale.py", line 531, in setlocale
    return _setlocale(category, locale)
locale.Error: unsupported locale setting

It means you have an error whith your locale settings "LC_ALL"

What to do

Run following commands

1
2
3
export LC_ALL="en_US.UTF-8"
export LC_CTYPE="en_US.UTF-8"
sudo dpkg-reconfigure locales

And choose "en_US.UTF-8".

Then, redeploy the punch product

if the issue is not fixed, please raised a demand trough the Help desk portail